<?php

namespace Src\Modules\Auth\Interfaces\Infrastructure\Queries;


interface IAdminsQuery
{
    public function setTable(string $table): void;
    public function select(array $fields = []): self;
    public function whereId(string $id): self;
    public function whereIdIn(array $ids): self;
    public function whereEmail(string $email):self;
    public function limit(int $limit, int $offset):self;
    public function getCount(): int;

    public function all(): array;
    public function one(): array;
}